Bug 1827306 - Edit ClusterServiceVersion should not be a first class Action
Summary: Edit ClusterServiceVersion should not be a first class Action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1826488
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 15:34 UTC by Robb Hamilton
Modified: 2020-06-29 15:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Edit ClusterServiceVersion is present in a ClusterServiceVersion's Actions menu so that it is parallel with other resources. Consequence: The presence of the Edit ClusterServiceVersion menu item suggests users should edit the ClusterServiceVersion, when in reality, they more than likely should not. Fix: Remove the Edit ClusterServiceVersion menu item from the Actions menu. Result: The Edit ClusterServiceVersion menu item is no longer present in the Actions menu.
Clone Of: 1826488
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5173 None closed Bug 1827306: Remove `Edit ClusterServiceVersion` menu options from C… 2020-06-26 16:29:31 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:08 UTC

Comment 1 Robb Hamilton 2020-05-08 17:15:42 UTC
PR opened, awaiting cherry pick approval.

Comment 2 Robb Hamilton 2020-05-28 19:54:35 UTC
PR opened, awaiting cherry pick approval.

Comment 3 Robb Hamilton 2020-06-17 18:42:14 UTC
PR opened, awaiting cherry pick approval

Comment 7 shahan 2020-06-22 03:25:24 UTC
Install an operator from console, then check installed operators, click kebab action, there is no "Edit ClusterServiceVersion" menu now.

4.4.0-0.nightly-2020-06-21-210301

Comment 9 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.